Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions | Variables
gtest_shuffle_test Namespace Reference

## Classes
class | GTestShuffleUnitTest

## Functions
def | AlsoRunDisabledTestsFlag ()
def | FilterFlag (test_filter)
def | RepeatFlag (n)
def | ShuffleFlag ()
def | RandomSeedFlag (n)
def | RunAndReturnOutput (extra_env, args)
def | GetTestsForAllIterations (extra_env, args)
def | GetTestCases (tests)
def | CalculateTestLists ()

## Variables
string | __author__ = 'wan@google.com (Zhanyong Wan)'
tuple | COMMAND = gtest_test_utils.GetTestExecutablePath('gtest_shuffle_test_')
string | TOTAL_SHARDS_ENV_VAR = 'GTEST_TOTAL_SHARDS'
string | SHARD_INDEX_ENV_VAR = 'GTEST_SHARD_INDEX'
string | TEST_FILTER = 'A*.A:A*.B:C*'
list | ALL_TESTS = []
list | ACTIVE_TESTS = []
list | FILTERED_TESTS = []
list | SHARDED_TESTS = []
list | SHUFFLED_ALL_TESTS = []
list | SHUFFLED_ACTIVE_TESTS = []
list | SHUFFLED_FILTERED_TESTS = []
list | SHUFFLED_SHARDED_TESTS = []

## Function Documentation

def gtest_shuffle_test.AlsoRunDisabledTestsFlag | ( |  | ) |

def gtest_shuffle_test.CalculateTestLists | ( |  | ) |

    Calculates the list of tests run under different flags.

def gtest_shuffle_test.FilterFlag | ( |  | test_filter | ) |

def gtest_shuffle_test.GetTestCases | ( |  | tests | ) |

    Returns a list of test cases in the given full test names.

    Args:
      tests: a list of full test names

    Returns:
      A list of test cases from 'tests', in their original order.
      Consecutive duplicates are removed.

def gtest_shuffle_test.GetTestsForAllIterations | ( |  | extra_env,
|  |  | args
| ) |  |

    Runs the test program and returns a list of test lists.

    Args:
      extra_env: a map from environment variables to their values
      args: command line flags to pass to gtest_shuffle_test_

    Returns:
      A list where the i-th element is the list of tests run in the i-th
      test iteration.

def gtest_shuffle_test.RandomSeedFlag | ( |  | n | ) |

def gtest_shuffle_test.RepeatFlag | ( |  | n | ) |

def gtest_shuffle_test.RunAndReturnOutput | ( |  | extra_env,
|  |  | args
| ) |  |

    Runs the test program and returns its output.

def gtest_shuffle_test.ShuffleFlag | ( |  | ) |

## Variable Documentation

string __author__ = 'wan@google.com (Zhanyong Wan)'

list ACTIVE_TESTS = []

list ALL_TESTS = []

tuple COMMAND = gtest_test_utils.GetTestExecutablePath('gtest_shuffle_test_')

list FILTERED_TESTS = []

string SHARD_INDEX_ENV_VAR = 'GTEST_SHARD_INDEX'

list SHARDED_TESTS = []

list SHUFFLED_ACTIVE_TESTS = []

list SHUFFLED_ALL_TESTS = []

list SHUFFLED_FILTERED_TESTS = []

list SHUFFLED_SHARDED_TESTS = []

string TEST_FILTER = 'A*.A:A*.B:C*'

string TOTAL_SHARDS_ENV_VAR = 'GTEST_TOTAL_SHARDS'